<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.hh.hhomc">

    <uses-permission android:name="android.permission.INTERNET"/>

    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.READ_PRIVILEGED_PHONE_STATE" />
    <uses-permission android:name="com.dopamine.provider.READ" />

    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.MANAGE_EXTERNAL_STORAGE" />

    <uses-permission android:name="android.permission.READ_MEDIA_IMAGES" />
    <uses-permission android:name="android.permission.READ_MEDIA_VIDEO" />
    <uses-permission android:name="android.permission.READ_MEDIA_AUDIO" />

    <!-- 安装apk -->
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />


    <!-- 开机自启动 -->
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />

    <!-- 后台服务 -->
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE"/>

    <!-- 修改系统设置 -->
    <uses-permission android:name="android.permission.WRITE_SETTINGS" />

    <!-- android:theme="@style/Theme.HHOmc" -->
    <!-- @android:style/Theme.NoDisplay -->

    <!-- 修改了allowBackup -->



    <!-- @style/Theme.HHOmc -->
    <!-- Theme.Trunslucent.NoTitleBar -->
    <!-- android:theme="@android:style/Theme.NoDisplay" -->

    <application
        android:name=".MyApplication"
        android:allowBackup="false"
        android:icon="@mipmap/app_logo"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/app_logo"
        android:supportsRtl="true"
        android:requestLegacyExternalStorage="true"
        android:networkSecurityConfig="@xml/network_security_config"
        android:theme="@android:style/Theme.NoDisplay"
        tools:replace="android:name,android:allowBackup,android:theme">
        <activity android:name=".BackgroundActivity"
            >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <!--<activity android:name=".BackMainActivity" />-->
         <activity android:name=".MainActivity"/>


        <!--<service
            android:name=".services.AppMessageService"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="com.hh.hhomc.services.AppMessageService"/>
                <category android:name="android.intent.category.DEFAULT"/>
            </intent-filter>
        </service>-->


        <service
            android:name=".services.AidlService"
            android:process=":remote"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="com.hh.hhomc.services.AidlService"/>
                <category android:name="android.intent.category.DEFAULT"/>
            </intent-filter>
        </service>


        <service android:name=".services.BackgroundService"
            android:enabled="true"
            android:exported="false"
            /> 



        <service
            android:name=".keeplive.LocalService"
            android:exported="true" />
        <service
            android:name=".keeplive.LocalService$InnnerService"
            android:exported="true" />

        <service
            android:name=".keeplive.RemoteService"
            android:exported="true"
            android:process=":remote" />
        <service
            android:name=".keeplive.RemoteService$InnnerService"
            android:exported="true"
            android:process=":remote" />
        <service
            android:name=".keeplive.MyJobService"
            android:permission="android.permission.BIND_JOB_SERVICE" />



        <receiver
            android:name=".broadreceiver.AutoStartBroadReceiver"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />

                <category android:name="android.intent.category.HOME" />
            </intent-filter>
        </receiver>

        <!-- 告知 XXPermissions 当前项目已经适配了分区存储特性 -->
        <meta-data
            android:name="ScopedStorage"
            android:value="true" />

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.provider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>

    </application>

</manifest>